public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Kristian Fiskerstrand" <k_f@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/gpgme/
Date: Tue, 18 Oct 2016 20:54:37 +0000 (UTC)	[thread overview]
Message-ID: <1476824069.5c5fccc039975f1af92d1043ced888450277077d.k_f@gentoo> (raw)

commit:     5c5fccc039975f1af92d1043ced888450277077d
Author:     Kristian Fiskerstrand <k_f <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 18 20:54:17 2016 +0000
Commit:     Kristian Fiskerstrand <k_f <AT> gentoo <DOT> org>
CommitDate: Tue Oct 18 20:54:29 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5c5fccc0

app-crypt/gpgme: New upstream version 1.7.1

New upstream version 1.7.1

fixes:
Gentoo-Bug: 595296

Package-Manager: portage-2.3.1

 app-crypt/gpgme/Manifest           |  1 +
 app-crypt/gpgme/gpgme-1.7.1.ebuild | 87 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 88 insertions(+)

diff --git a/app-crypt/gpgme/Manifest b/app-crypt/gpgme/Manifest
index 7d9b5ad..f8e4ec8 100644
--- a/app-crypt/gpgme/Manifest
+++ b/app-crypt/gpgme/Manifest
@@ -2,3 +2,4 @@ DIST gpgme-1.5.5.tar.bz2 976383 SHA256 0b3d3d5107680c594777aae65882a1ff6dd1ba629
 DIST gpgme-1.6.0.tar.bz2 983573 SHA256 b09de4197ac280b102080e09eaec6211d081efff1963bf7821cf8f4f9916099d SHA512 b7ccccc2bac246b0759c8752cadd3e77f03da39711badfc66d0f21cefab3f3b07fe1038611ad9ca1c16a8a48d7e831dcca68d83d052456a4cf794a73e287d41b WHIRLPOOL 4e753156474097dba9db2905954d1754ca408066996a01cbc7266a24654eb7c2323043f40495cc3c227d8eef540eeca47de4c23bb329a2d34604d5a4d3828970
 DIST gpgme-1.7.0-build-32bit.patch 31933 SHA256 933eb074334b3f241290e2ff11b16165a028062b543395de4592a4678656153c SHA512 04be159ea211ed3bc921a65fb7a489e22c98c8e03dfe2457c38045bf8be335db8d2d56ab16de4bab49f62af40cd19dfd53bfb373a77db10853d011ec583c1dde WHIRLPOOL c69c7b0e8cfea89ff6490857790dec6cda06cc43d0d6ff6546c29c99c9bef3b7c4a377daf2949d9669169a35570dc9a859e9ab604c02c89c9e9768bd5347fe4c
 DIST gpgme-1.7.0.tar.bz2 1281708 SHA256 71f55fed0f2b3eaf7a606e59772aa645ce3ffff322d361ce359951b3f755cc48 SHA512 8c5891104bd531d555fc4c22086cfdea9f18be6885200f02e087d695d0518e311527a227f2c41e0dc1156cc0985265d0bee6c4504de7e2d2de0bc543a1036b5a WHIRLPOOL aaf60c5a30f9161bf8edb24e583e6a83e4a6e28abe7d9878d1d36b5ab34507ff2a47695dc4856c4fdad59463a5d56de1d8d35dee3315dfa54758c8445d9f706e
+DIST gpgme-1.7.1.tar.bz2 1285809 SHA256 d0abe1449395315eac37e4e45076bbb82732cedf94210937b37776e10cdc2bb6 SHA512 b8c2e2aa1f413748dc8b0f9f63ef5d1ddbb00dfd82f63a28b7162cf5d8af2a33f7ba29a309da5244ad6e23a561b99716d47d02956d03ece16d06af6ff77f200c WHIRLPOOL a7eea63ba23bf034c18565c171353ed01464f814d6d8cddb4047df402a2bd4830dd719cd4f7feb41038dd8871f3064d5b7e4ffaa6e5a9bf204d42618eb7b0788

diff --git a/app-crypt/gpgme/gpgme-1.7.1.ebuild b/app-crypt/gpgme/gpgme-1.7.1.ebuild
new file mode 100644
index 00000000..9d190a0
--- /dev/null
+++ b/app-crypt/gpgme/gpgme-1.7.1.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} )
+DISTUTILS_OPTIONAL=1
+
+inherit autotools distutils-r1 eutils qmake-utils
+
+DESCRIPTION="GnuPG Made Easy is a library for making GnuPG easier to use"
+HOMEPAGE="http://www.gnupg.org/related_software/gpgme"
+SRC_URI="mirror://gnupg/gpgme/${P}.tar.bz2"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="1/11" # subslot = soname major version
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x64-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="common-lisp static-libs cxx python qt5 test"
+
+RDEPEND="app-crypt/gnupg
+	>=dev-libs/libassuan-2.0.2
+	>=dev-libs/libgpg-error-1.11
+	qt5? (
+		dev-qt/qtcore:5
+		!kde-apps/gpgmepp:4
+		!kde-apps/kdepimlibs:4
+	)
+	python? ( ${PYTHON_DEPS} )"
+		#doc? ( app-doc/doxygen[dot] )
+DEPEND="${RDEPEND}
+	python? ( dev-lang/swig )
+	qt5? (
+		test? ( dev-qt/qttest:5 )
+	)"
+
+REQUIRED_USE="qt5? ( cxx )"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-1.1.8-et_EE.patch
+)
+
+do_python() {
+	if use python; then
+		pushd lang/python > /dev/null || die
+		distutils-r1_src_${EBUILD_PHASE}
+		popd > /dev/null
+	fi
+}
+
+src_prepare() {
+	default
+	eautoreconf
+	do_python
+}
+
+src_configure() {
+	local languages=()
+	use common-lisp && languages+=( "cl" )
+	use cxx && languages+=( "cpp" )
+	if use qt5; then
+		languages+=( "qt" )
+		#use doc ||
+		export DOXYGEN=
+		export MOC="$(qt5_get_bindir)/moc"
+	fi
+
+	econf \
+		--includedir="${EPREFIX}/usr/include/gpgme" \
+		--enable-languages="${languages[*]}" \
+		$(use_enable static-libs static)
+
+	use python && make -C lang/python prepare
+
+	do_python
+}
+
+src_compile() {
+	default
+	do_python
+}
+
+src_install() {
+	default
+	do_python
+	prune_libtool_files
+}


             reply	other threads:[~2016-10-18 20:54 UTC|newest]

Thread overview: 248+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-10-18 20:54 Kristian Fiskerstrand [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-13 21:22 [gentoo-commits] repo/gentoo:master commit in: app-crypt/gpgme/ Sam James
2025-03-19  2:02 Sam James
2025-03-19  2:02 Sam James
2025-03-19  2:02 Sam James
2025-03-19  2:02 Sam James
2025-03-19  2:02 Sam James
2025-03-19  1:21 Sam James
2025-02-11  9:19 Sam James
2025-01-04 17:42 Sam James
2025-01-04 16:35 Sam James
2025-01-03 17:22 Sam James
2025-01-03 10:02 Sam James
2025-01-03 10:02 Sam James
2025-01-03  0:59 Sam James
2025-01-03  0:59 Sam James
2025-01-02 21:48 Andreas Sturmlechner
2024-12-04 23:30 Sam James
2024-11-11 17:02 Sam James
2024-11-02  6:42 Sam James
2024-10-15  1:35 Sam James
2024-10-10 11:04 Arthur Zamarin
2024-10-09  5:46 Sam James
2024-10-08 20:46 Arthur Zamarin
2024-10-07 17:36 Sam James
2024-10-07 17:30 Jakov Smolić
2024-10-07 17:30 Jakov Smolić
2024-09-10  1:37 Eli Schwartz
2024-08-06 14:43 James Le Cuirot
2024-06-11 19:25 Michał Górny
2024-02-20 20:49 Andreas Sturmlechner
2024-02-20  5:56 Sam James
2024-02-20  5:56 Sam James
2024-02-17  9:55 Arthur Zamarin
2024-02-12 10:31 Sam James
2024-01-26 20:48 Andreas Sturmlechner
2024-01-25 19:14 Mike Gilbert
2024-01-25 19:11 Mike Gilbert
2024-01-05  5:26 Arthur Zamarin
2024-01-05  5:26 Arthur Zamarin
2023-12-21 16:13 Sam James
2023-12-03  5:11 Sam James
2023-11-29  5:15 Sam James
2023-11-27 23:22 Sam James
2023-11-25 20:47 Sam James
2023-11-22 11:16 Arthur Zamarin
2023-11-22  0:25 Sam James
2023-11-14 11:42 Sam James
2023-11-06 18:13 Andreas Sturmlechner
2023-11-05 19:14 Arthur Zamarin
2023-11-05 19:14 Arthur Zamarin
2023-11-05 19:11 Arthur Zamarin
2023-11-05 19:11 Arthur Zamarin
2023-10-24 19:36 Arthur Zamarin
2023-10-24 19:36 Arthur Zamarin
2023-10-08 15:29 Arthur Zamarin
2023-10-07 23:27 Sam James
2023-09-04 13:29 Andreas Sturmlechner
2023-09-03 16:46 Arthur Zamarin
2023-09-03 16:46 Arthur Zamarin
2023-08-21 19:34 Sam James
2023-08-19 12:39 Arthur Zamarin
2023-08-19 12:19 Arthur Zamarin
2023-08-19 12:19 Arthur Zamarin
2023-08-19 11:46 Arthur Zamarin
2023-08-19 11:46 Arthur Zamarin
2023-08-19 11:38 Sam James
2023-07-07 22:04 Sam James
2023-06-10 21:28 Andreas Sturmlechner
2023-06-09 12:04 Arthur Zamarin
2023-06-09  9:54 Sam James
2023-06-09  9:54 Sam James
2023-06-09  6:53 Arthur Zamarin
2023-06-03 19:45 Arthur Zamarin
2023-06-02 16:13 Arthur Zamarin
2023-06-01 19:15 Arthur Zamarin
2023-06-01 19:15 Arthur Zamarin
2023-05-05  4:59 Michał Górny
2023-05-04 23:20 Ionen Wolkens
2023-05-04 16:11 Michał Górny
2023-04-22 16:35 Sam James
2023-03-17 21:54 Sam James
2022-11-25 14:51 Arthur Zamarin
2022-11-25 10:28 Arthur Zamarin
2022-11-25  8:34 Arthur Zamarin
2022-11-25  8:13 Arthur Zamarin
2022-11-25  7:57 Sam James
2022-11-25  7:51 Sam James
2022-11-25  7:51 Sam James
2022-11-25  7:34 Arthur Zamarin
2022-10-09 21:12 Sam James
2022-10-08 13:19 Sam James
2022-09-23  1:06 Sam James
2022-09-01  2:16 Sam James
2022-08-10 13:05 Sam James
2022-07-15 18:30 Arthur Zamarin
2022-06-18 23:04 Sam James
2022-06-14 18:01 Sam James
2022-06-12 14:52 Sam James
2022-05-28 18:19 Sam James
2022-05-17  5:34 Sam James
2022-03-26  0:12 Sam James
2022-03-07  5:17 Sam James
2022-03-07  4:28 Sam James
2022-03-07  4:21 Sam James
2022-03-06 23:38 Sam James
2022-03-06 23:35 Sam James
2022-02-17 19:23 Lars Wendler
2022-02-17 18:43 Sam James
2022-02-17 18:40 David Seifert
2022-02-10  9:54 David Seifert
2022-02-08  7:57 Lars Wendler
2021-12-04  1:32 Sam James
2021-11-29 20:48 Sam James
2021-11-29  0:54 Sam James
2021-11-26 15:33 Arthur Zamarin
2021-11-26  8:51 Agostino Sarubbo
2021-11-26  6:34 Sam James
2021-11-26  6:34 Sam James
2021-08-21 22:15 James Le Cuirot
2021-08-05 18:07 Michał Górny
2021-06-25  1:02 Lars Wendler
2021-06-25  1:02 Lars Wendler
2021-06-14 18:05 Sergei Trofimovich
2021-06-13 12:38 Sam James
2021-06-13 11:12 Sam James
2021-06-13  6:30 Agostino Sarubbo
2021-06-13  6:04 Sam James
2021-06-13  6:04 Sam James
2021-06-13  3:45 Sam James
2021-06-13  3:45 Sam James
2021-01-09  2:02 Lars Wendler
2021-01-09  2:02 Lars Wendler
2021-01-06 12:55 Fabian Groffen
2020-12-13  0:16 Sam James
2020-11-14 23:39 Sam James
2020-11-12 21:57 Lars Wendler
2020-11-12 20:09 Lars Wendler
2020-11-12 20:09 Lars Wendler
2020-10-06 15:07 Lars Wendler
2020-09-07  8:47 Sergei Trofimovich
2020-09-07  8:20 Sergei Trofimovich
2020-09-06  7:49 Sergei Trofimovich
2020-08-30 23:56 Sam James
2020-08-29 20:00 Sam James
2020-08-28 22:21 Sergei Trofimovich
2020-07-17  6:27 Lars Wendler
2020-04-18  3:02 Craig Andrews
2020-03-09 16:01 Lars Wendler
2020-03-09 15:51 Mike Gilbert
2020-02-11 11:38 Michał Górny
2020-01-09 10:56 Kristian Fiskerstrand
2019-11-01 10:16 Mikle Kolyada
2019-11-01 10:16 Mikle Kolyada
2019-10-09 18:21 Sergei Trofimovich
2019-10-06  5:50 Matt Turner
2019-10-04 13:15 Agostino Sarubbo
2019-10-02 19:08 Agostino Sarubbo
2019-10-02 18:53 Agostino Sarubbo
2019-09-29 21:00 Sergei Trofimovich
2019-09-29 20:54 Sergei Trofimovich
2019-09-29 19:26 Sergei Trofimovich
2019-09-29  9:11 Sergei Trofimovich
2019-09-27  0:50 Mike Gilbert
2019-09-26 22:22 Tim Harder
2019-06-14  1:26 Göktürk Yüksek
2019-06-09 20:32 Sergei Trofimovich
2019-06-09 19:22 Sergei Trofimovich
2019-06-06 16:52 Michael Haubenwallner
2019-05-04 15:06 Alon Bar-Lev
2019-05-03  7:11 Sergei Trofimovich
2019-05-02 21:43 Mikle Kolyada
2019-04-28 20:34 Thomas Deutschmann
2019-04-27 16:03 Sergei Trofimovich
2019-04-22 14:40 Sergei Trofimovich
2019-04-20 18:47 Mikle Kolyada
2019-04-20 17:42 Mikle Kolyada
2019-04-15 23:55 Aaron Bauman
2019-03-26 18:21 Alon Bar-Lev
2019-01-21 20:22 Alon Bar-Lev
2019-01-03 14:58 Sergei Trofimovich
2018-10-09 21:03 Alon Bar-Lev
2018-08-14 16:02 Alon Bar-Lev
2018-07-23 22:02 Mikle Kolyada
2018-07-02  4:24 Alon Bar-Lev
2018-07-02  3:08 Alon Bar-Lev
2018-06-27 22:22 Sergei Trofimovich
2018-06-27 22:15 Sergei Trofimovich
2018-06-27 21:54 Sergei Trofimovich
2018-06-27 17:23 Tobias Klausmann
2018-06-27  6:25 Sergei Trofimovich
2018-06-26 15:35 Mikle Kolyada
2018-05-20 20:23 Sergei Trofimovich
2018-03-15 16:10 Mikle Kolyada
2018-03-04  8:16 Tobias Klausmann
2018-03-02 19:24 Alon Bar-Lev
2018-02-16 17:42 Alon Bar-Lev
2018-02-16 17:42 Alon Bar-Lev
2018-02-06  8:07 Sergei Trofimovich
2018-01-07 22:07 Sergei Trofimovich
2018-01-07 18:11 Alon Bar-Lev
2018-01-07 14:23 Sergei Trofimovich
2018-01-06 20:47 Alon Bar-Lev
2018-01-06  0:04 Alon Bar-Lev
2018-01-05 23:44 Alon Bar-Lev
2018-01-04 17:07 Mikle Kolyada
2017-12-19 17:49 Fabian Groffen
2017-12-16 20:58 Fabian Groffen
2017-12-13  6:26 Alon Bar-Lev
2017-12-12 17:29 Alon Bar-Lev
2017-11-22 18:33 Alon Bar-Lev
2017-08-25 16:54 Alon Bar-Lev
2017-08-03 18:30 Alon Bar-Lev
2017-07-17  7:16 Alon Bar-Lev
2017-07-11  6:11 Alon Bar-Lev
2017-05-15  3:01 Zac Medico
2017-05-13  5:05 Alon Bar-Lev
2017-05-01  8:03 Andreas Sturmlechner
2017-04-19  8:03 David Seifert
2017-03-25 18:11 Alon Bar-Lev
2017-03-17  9:40 Alon Bar-Lev
2017-03-17  9:40 Alon Bar-Lev
2017-03-16 20:45 Alon Bar-Lev
2017-03-16 20:45 Alon Bar-Lev
2017-03-16 19:53 Alon Bar-Lev
2017-03-16 10:13 Michael Weber
2017-03-16  3:37 Guilherme Amadio
2017-03-15  6:00 Jeroen Roovers
2017-03-08  6:01 Markus Meier
2017-03-03 19:14 Tobias Klausmann
2017-03-03  9:02 Agostino Sarubbo
2017-01-03  9:27 Fabian Groffen
2016-12-21 17:17 Johannes Huber
2016-12-21 17:17 Johannes Huber
2016-12-21 17:17 Johannes Huber
2016-12-21 17:17 Johannes Huber
2016-11-21 16:25 Alon Bar-Lev
2016-10-19 22:45 Alon Bar-Lev
2016-10-19  5:47 Alon Bar-Lev
2016-10-19  5:27 Alon Bar-Lev
2016-10-11  8:36 Alon Bar-Lev
2016-10-03 18:50 Alon Bar-Lev
2016-10-03 18:50 Alon Bar-Lev
2016-09-25 18:26 Alon Bar-Lev
2016-09-24  6:23 Alon Bar-Lev
2016-09-23 20:55 Alon Bar-Lev
2016-09-23 16:25 Alon Bar-Lev
2015-09-10  6:07 Alon Bar-Lev

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1476824069.5c5fccc039975f1af92d1043ced888450277077d.k_f@gentoo \
    --to=k_f@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox